<?php
/**
 * Footer Theme Options
 *
 * @package computer-repair-solutions
 */

$wp_customize->add_section('computer_repair_solutions_footer_section', array(
    'title' => esc_html__('Footer Section', 'computer-repair-solutions'),
    'capability' => 'edit_theme_options',
    'panel' => 'computer_repair_solutions_theme_section_panel'
));

$wp_customize->add_setting(
    'computer_repair_solutions_featured_footer_iframe_shortcode',
    array(
        'default'           => 'Add Map Embed Code Here',
        'type' => 'theme_mod',
        'sanitize_callback' => 'wp_kses_post',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_featured_footer_iframe_shortcode',
    array(
        'label'    => __('Embed Code for Map', 'computer-repair-solutions'),
        'section'  => 'computer_repair_solutions_footer_section',
        'type'     => 'textarea',
    )
);


// Theme Name
$wp_customize->add_setting(
    'computer_repair_solutions_foot_themename',
    array(
        'default'           => __( '© 2025 Computer Repair Solutions. All rights reserved.', 'computer-repair-solutions' ),
        'type'              => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('computer_repair_solutions_foot_themename', array(
    'label' => __('Theme Name', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_footer_section',
    'settings' => 'computer_repair_solutions_foot_themename',
    'type' => 'text',
));

// Li Text
$wp_customize->add_setting(
    'computer_repair_solutions_foot_listfirst',
    array(
        'default'           => __( 'Privacy Policy', 'computer-repair-solutions' ),
        'type'              => 'theme_mod',
        'sanitize_callback' => 'computer_repair_solutions_sanitise_custom_texttitle',
    )
);

$wp_customize->add_control('computer_repair_solutions_foot_listfirst', array(
    'label' => __('Li Text 1', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_footer_section',
    'settings' => 'computer_repair_solutions_foot_listfirst',
    'type' => 'text',
));
$wp_customize->add_setting(
    'computer_repair_solutions_foot_listsec',
    array(
        'default'           => __( 'Terms of Service', 'computer-repair-solutions' ),
        'type'              => 'theme_mod',
        'sanitize_callback' => 'computer_repair_solutions_sanitise_custom_texttitle',
    )
);

$wp_customize->add_control('computer_repair_solutions_foot_listsec', array(
    'label' => __('Li Text 2', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_footer_section',
    'settings' => 'computer_repair_solutions_foot_listsec',
    'type' => 'text',
));
$wp_customize->add_setting(
    'computer_repair_solutions_foot_listthird',
    array(
        'default'           => __( 'License Info', 'computer-repair-solutions' ),
        'type'              => 'theme_mod',
        'sanitize_callback' => 'computer_repair_solutions_sanitise_custom_texttitle',
    )
);

$wp_customize->add_control('computer_repair_solutions_foot_listthird', array(
    'label' => __('Li Text 3', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_footer_section',
    'settings' => 'computer_repair_solutions_foot_listthird',
    'type' => 'text',
));

























// Footer icons 1
$wp_customize->add_setting(
    'computer_repair_solutions_foot_featured_icon_footer1',
    array(
        'default' => 'fa-brands fa-facebook-f',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_foot_featured_icon_footer1',
    array(
        'label' => __('Icon 1', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_foot_featured_icon_footer1',
        'type' => 'text'
    )
);

// Footer icons 1 Url
$wp_customize->add_setting(
    'computer_repair_solutions_featured_icon_url_footer1',
    array(
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_featured_icon_url_footer1',
    array(
        'label' => __('Icon 1 Url', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_featured_icon_url_footer1',
        'type' => 'text'
    )
);

// Footer icons 2
$wp_customize->add_setting(
    'computer_repair_solutions_foot_featured_icon_footer2',
    array(
        'default' => 'fa-brands fa-twitter',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_foot_featured_icon_footer2',
    array(
        'label' => __('Icon 2', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_foot_featured_icon_footer2',
        'type' => 'text'
    )
);

// Footer icons 2 Url
$wp_customize->add_setting(
    'computer_repair_solutions_featured_icon_url_footer2',
    array(
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_featured_icon_url_footer2',
    array(
        'label' => __('Icon 2 Url', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_featured_icon_url_footer2',
        'type' => 'text'
    )
);

// Footer icons 3
$wp_customize->add_setting(
    'computer_repair_solutions_foot_featured_icon_footer3',
    array(
        'default' => 'fa-brands fa-instagram',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_foot_featured_icon_footer3',
    array(
        'label' => __('Icon 3', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_foot_featured_icon_footer3',
        'type' => 'text'
    )
);

// Footer icons 3 Url
$wp_customize->add_setting(
    'computer_repair_solutions_featured_icon_url_footer3',
    array(
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_featured_icon_url_footer3',
    array(
        'label' => __('Icon 3 Url', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_featured_icon_url_footer3',
        'type' => 'text'
    )
);

// Footer icons 4
$wp_customize->add_setting(
    'computer_repair_solutions_foot_featured_icon_footer4',
    array(
        'default' => 'fa-brands fa-instagram',
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_foot_featured_icon_footer4',
    array(
        'label' => __('Icon 4', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_foot_featured_icon_footer4',
        'type' => 'text'
    )
);

// Footer icons 4 Url
$wp_customize->add_setting(
    'computer_repair_solutions_featured_icon_url_footer4',
    array(
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_featured_icon_url_footer4',
    array(
        'label' => __('Icon 4 Url', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_footer_section',
        'settings' => 'computer_repair_solutions_featured_icon_url_footer4',
        'type' => 'text'
    )
);

// Footer list URLs.
$wp_customize->add_setting(
    'computer_repair_solutions_foot_listfirst_url',
    array(
        'default'           => '#',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_foot_listfirst_url',
    array(
        'label'   => __( 'Li URL 1', 'computer-repair-solutions' ),
        'section' => 'computer_repair_solutions_footer_section',
        'type'    => 'url',
    )
);

$wp_customize->add_setting(
    'computer_repair_solutions_foot_listsec_url',
    array(
        'default'           => '#',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_foot_listsec_url',
    array(
        'label'   => __( 'Li URL 2', 'computer-repair-solutions' ),
        'section' => 'computer_repair_solutions_footer_section',
        'type'    => 'url',
    )
);

$wp_customize->add_setting(
    'computer_repair_solutions_foot_listthird_url',
    array(
        'default'           => '#',
        'type'              => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_foot_listthird_url',
    array(
        'label'   => __( 'Li URL 3', 'computer-repair-solutions' ),
        'section' => 'computer_repair_solutions_footer_section',
        'type'    => 'url',
    )
);